Package org.apache.sysds.runtime.matrix.data

# Interface LibMatrixDenseToSparse

public interface LibMatrixDenseToSparse

## Field Summary

Fields
Modifier and Type
Field
Description
`static final org.apache.commons.logging.Log`
`LOG`

## Method Summary

Static Methods
Modifier and Type
Method
Description
`static void`
`denseToSparse(MatrixBlock r, boolean allowCSR)`
Convert the given matrix block to a sparse allocation.
`static void`
`denseToSparse(MatrixBlock r, boolean allowCSR, int k)`

## Field Details

### LOG

static final org.apache.commons.logging.Log LOG

## Method Details

### denseToSparse

static void denseToSparse(MatrixBlock r, boolean allowCSR)
Convert the given matrix block to a sparse allocation.

Parameters:
  `r` - The matrix block to modify, and return the sparse block in.
  `allowCSR` - If CSR is allowed.

### denseToSparse

static void denseToSparse(MatrixBlock r, boolean allowCSR, int k)